org.apache.solr.morphlines.solr

## Class SolrLocator

- java.lang.Object
- - org.apache.solr.morphlines.solr.SolrLocator

-     public class SolrLocator
      extends Object

  Set of configuration parameters that identify the location and schema of a Solr server or SolrCloud; Based on this information this class can return the schema and a corresponding `DocumentLoader`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SolrLocator(com.typesafe.config.Config config, org.kitesdk.morphline.api.MorphlineContext context)`
    `protected` | `SolrLocator(org.kitesdk.morphline.api.MorphlineContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchSize()`
    `String` | `getCollectionName()`
    `IndexSchema` | `getIndexSchema()`
    `DocumentLoader` | `getLoader()`
    `String` | `getServerUrl()`
    `String` | `getSolrHomeDir()`
    `String` | `getZkHost()`
    `void` | `setBatchSize(int batchSize)`
    `void` | `setCollectionName(String collectionName)`
    `void` | `setServerUrl(String solrUrl)`
    `void` | `setSolrHomeDir(String solrHomeDir)`
    `void` | `setZkHost(String zkHost)`
    `com.typesafe.config.Config` | `toConfig(String key)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrLocator

          protected SolrLocator(org.kitesdk.morphline.api.MorphlineContext context)

    - #### SolrLocator

          public SolrLocator(com.typesafe.config.Config config,
                             org.kitesdk.morphline.api.MorphlineContext context)

  - ### Method Detail

    - #### getLoader

          public DocumentLoader getLoader()

    - #### getIndexSchema

          public IndexSchema getIndexSchema()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toConfig

          public com.typesafe.config.Config toConfig(String key)

    - #### getCollectionName

          public String getCollectionName()

    - #### setCollectionName

          public void setCollectionName(String collectionName)

    - #### getZkHost

          public String getZkHost()

    - #### setZkHost

          public void setZkHost(String zkHost)

    - #### getSolrHomeDir

          public String getSolrHomeDir()

    - #### setSolrHomeDir

          public void setSolrHomeDir(String solrHomeDir)

    - #### getServerUrl

          public String getServerUrl()

    - #### setServerUrl

          public void setServerUrl(String solrUrl)

    - #### getBatchSize

          public int getBatchSize()

    - #### setBatchSize

          public void setBatchSize(int batchSize)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.